Arbor 3: FSM & BT Graph Editor 3.1.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Properties | List of all members
ActionBehaviour Class Reference

アクションの挙動を定義するクラス。継承して利用する。 More...

Inheritance diagram for ActionBehaviour:

## Protected Member Functions
void | FinishExecute (bool result)
| 実行を終了する。 More...
virtual void | OnExecute ()
| 実行する際に呼ばれる。 More...
Protected Member Functions inherited from TreeNodeBehaviour
sealed override void | OnInitializeEnabled ()
| enabledの初期化を行うために呼ばれる。 More...
virtual void | OnAwake ()
| この関数は自ノードが初めてアクティブになったときに呼ばれる。 More...
virtual void | OnStart ()
| この関数は自ノードがアクティブになったときに呼ばれる。 More...
virtual void | OnAbort ()
| この関数は自ノードが中止されるときに呼ばれる。 More...
virtual void | OnEnd ()
| この関数は自ノードが終了したときに呼ばれる。 More...
Protected Member Functions inherited from NodeBehaviour
virtual void | OnValidate ()
| MonoBehaviour.OnValidate を参照してください More...
virtual void | OnCreated ()
| 生成時に呼ばれるメソッド. More...
virtual void | OnPreDestroy ()
| 破棄前に呼ばれるメソッド。 More...

## Properties
ActionNode | actionNode`[get]`
| ActionNodeを取得。 More...
Properties inherited from TreeNodeBehaviour
BehaviourTreeInternal | behaviourTree`[get]`
| ビヘイビアツリーを取得。 More...
TreeNodeBase | treeNode`[get]`
| TreeNodeBaseを取得。 More...
Properties inherited from NodeBehaviour
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...
Node | node`[get]`
| Nodeを取得。 More...
int | calculatorSlotFieldCount`[get]`
| CalculatorSlotFieldの個数 More...

## Additional Inherited Members
Public Member Functions inherited from NodeBehaviour
CalculatorSlotField | GetCalculatorSlotField (int index)
| CalculatorSlotFieldを取得する。 More...
CalculatorSlotField | GetCalculatorSlotField (CalculatorSlot slot)
| CalculatorSlotFieldを取得する。 More...
void | RebuildCalculatorSlotFields ()
| CalculatorSlotFieldを再構築する。 More...
void | Initialize (NodeGraph nodeGraph, int nodeID)
| Editor用。 More...
Static Public Member Functions inherited from NodeBehaviour
static NodeBehaviour | CreateNodeBehaviour (Node node, System.Type type, bool duplicate=false)
| Editor用。 More...
static Type | CreateNodeBehaviour< Type > (Node node, bool duplicate=false)
| Editor用。 More...
static void | Destroy (NodeBehaviour behaviour)
| NodeBehaviourを破棄する。 More...
Public Attributes inherited from TreeNodeBehaviour
bool | expanded = true
| ArborEditorWindow上での開閉状態。 More...

## Detailed Description

アクションの挙動を定義するクラス。継承して利用する。

## Member Function Documentation

void FinishExecute | ( | bool | result | ) |
| protected

実行を終了する。

Parameters

  result | 実行結果

virtual void OnExecute | ( |  | ) |
| protected virtual

実行する際に呼ばれる。

## Property Documentation

ActionNode actionNode
| get

ActionNodeを取得。